Subject: Re: [PATCH] powerpc/powernv: Fix mis-merge of OPAL support for LEDS driver

From: Michael Ellerman <[email-masked]>
Date: Sat, 22 Aug 2015 21:13:35 +1000

On Sat, 2015-08-22 at 09:36 +0530, Vasant Hegde wrote:
> On 08/22/2015 05:12 AM, Michael Ellerman wrote:
> > When I merged the OPAL support for the powernv LEDS driver I missed a
> > hunk.
> > 
> > This is slightly modified from the original patch, as the original added
> > code to opal-api.h which is not in the skiboot version, which is
> > discouraged.
> 
> Yeah. I should have made sure opal-api.h is in sync with skiboot. On skiboot
> side I added below macros to fsp-leds.h instead of opal-api.h :-(

Yeah, I should have remembered too. We'll try to remember in future.

> Anyway for now these macros are used by led driver only (on both side).. Hence I
> think its fine to add to driver code itself. But we should make sure these
> strings won't change as we use them while creating sysfs entries and use that
> information to identify the type of LED.

Sure. If you want to add a comment or something saying they must not change
that's fine by me.

> > Instead those values are moved into the driver, which is the only place
> > they are used.
> > 
> > Fixes: 8a8d91817aec ("powerpc/powernv: Add OPAL interfaces for accessing and modifying system LED states")
> > Signed-off-by: Michael Ellerman <[email-masked]>
> 
> Patch looks good.
> 
> Reviewed-by: Vasant Hegde <[email-masked]>

Thanks.

I've pushed it to next.

cheers